package com.usky.rule.vo.log;

public class CronTriggerLog {
    private String cronExp;
    private String time;

    public CronTriggerLog() {
    }

    public String getCronExp() {
        return this.cronExp;
    }

    public String getTime() {
        return this.time;
    }

    public void setCronExp(final String cronExp) {
        this.cronExp = cronExp;
    }

    public void setTime(final String time) {
        this.time = time;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof CronTriggerLog)) {
            return false;
        } else {
            CronTriggerLog other = (CronTriggerLog)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$cronExp = this.getCronExp();
                Object other$cronExp = other.getCronExp();
                if (this$cronExp == null) {
                    if (other$cronExp != null) {
                        return false;
                    }
                } else if (!this$cronExp.equals(other$cronExp)) {
                    return false;
                }

                Object this$time = this.getTime();
                Object other$time = other.getTime();
                if (this$time == null) {
                    if (other$time != null) {
                        return false;
                    }
                } else if (!this$time.equals(other$time)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof CronTriggerLog;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $cronExp = this.getCronExp();
        result = result * 59 + ($cronExp == null ? 43 : $cronExp.hashCode());
        Object $time = this.getTime();
        result = result * 59 + ($time == null ? 43 : $time.hashCode());
        return result;
    }

    public String toString() {
        return "CronTriggerLog(cronExp=" + this.getCronExp() + ", time=" + this.getTime() + ")";
    }
}